package com.example.shawarma.data.api.models

import com.example.shawarma.data.db.models.OrderModel
import com.example.shawarma.data.db.models.OrderProductModel
import kotlinx.serialization.Serializable

@Serializable
data class OrderModelRemote(
    val id: Int? = null,
    val status: String = "",
    val user_id: Int? = -1,
    val date: String = "",
    val order_products: List<OrderProductRemote> = listOf()
)

@Serializable
data class OrderListResponse(
    val orders: List<OrderModelRemote> = listOf(),
    val nextKey: Int? = null
)

fun OrderModelRemote.toOrderModel() : OrderModel = OrderModel(
    id, status, user_id, date = date
)

fun OrderModel.toOrderModelRemote() : OrderModelRemote = OrderModelRemote(
    id, status, userId, date.toString()
)

@Serializable
data class OrderProductRemote(
    val id: Int? = null,
    val order_id: Int = -1,
    val product_id: Int = -1,
    val quantity: Int = 0,
    val total_price: Int = 0,

    val order: OrderModelRemote? = null,
    val product: ProductModelRemote? = null
)

fun OrderProductRemote.toOrderProductModel() : OrderProductModel = OrderProductModel(
    order_id, product_id, quantity, total_price
)

fun OrderProductModel.toOrderProductRemote() : OrderProductRemote = OrderProductRemote(
    order_id = orderId, product_id = productId, quantity = quantity, total_price = totalPrice
)
