package com.example.shawarma.data.api.models

import com.example.shawarma.data.db.models.ProductModel
import kotlinx.serialization.Serializable

@Serializable
data class ProductModelRemote(
    val id: Int? = null,
    val title: String = "",
    val price: Int = 0,
    val old_price: Int? = null,

    val order_products: List<OrderProductRemote> = listOf(),

    val purchase_count: Int? = null
)

@Serializable
data class ProductListResponse(
    val products: List<ProductModelRemote> = listOf(),
    val nextKey: Int? = null
)

fun ProductModelRemote.toProductModel(): ProductModel = ProductModel(
    id, title, price, old_price
)

fun ProductModel.toProductModelRemote(): ProductModelRemote = ProductModelRemote(
    title = title, price = price, old_price = oldPrice, id = id
)
