package com.example.shawarma.data.api.repos

import com.example.shawarma.data.api.MyServerService
import com.example.shawarma.data.api.models.OrderModelRemote
import javax.inject.Inject

class RestOrderRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun getUnpaidOrder(token:String) : OrderModelRemote {
        return service.getUnpaidOrder(token)
    }

    suspend fun insertOrder(token: String, order: OrderModelRemote): OrderModelRemote? {
        return service.insertOrder(order, token)
    }

    suspend fun updateOrder(token: String, order: OrderModelRemote): OrderModelRemote? {
        return service.updateOrder(order, token)
    }

    suspend fun deleteOrder(token: String, orderId: Int) {
        service.deleteOrder(orderId, token)
    }
}