package com.example.shawarma.data.api.repos

import com.example.shawarma.data.api.MyServerService
import com.example.shawarma.data.api.models.ProductModelRemote
import com.example.shawarma.data.api.models.toProductModelRemote
import com.example.shawarma.data.db.models.ProductModel
import javax.inject.Inject

class RestProductRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun insert(product: ProductModel, token: String) {
        service.insertProduct(product.toProductModelRemote(), token)
    }

    suspend fun update(product: ProductModel, token: String) {
        service.updateProduct((product.toProductModelRemote()), token)
    }

    suspend fun delete(id: Int, token: String) {
        service.deleteProduct(id, token)
    }

    suspend fun getTopProducts(period: String, token: String) : List<ProductModelRemote> {
        return service.getTopProducts(period, token)
    }
}