package com.example.shawarma.data.db.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy.Companion.REPLACE
import androidx.room.Query
import androidx.room.Update
import com.example.shawarma.data.db.models.OrderProductModel
@Dao
interface OrderProductDao {
    @Insert(onConflict = REPLACE)
    suspend fun insert(order: OrderProductModel)
    @Update
    suspend fun update(order: OrderProductModel)
    @Query("delete from order_product WHERE product_id = :productId")
    suspend fun deleteByProductId(productId: Int);
    @Query("delete from order_product WHERE order_id = :orderId")
    suspend fun deleteByOrderId(orderId: Int);
    @Delete
    suspend fun delete(order: OrderProductModel)
}