package com.example.shawarma.data.repos

import com.example.shawarma.data.api.models.toOrderProductRemote
import com.example.shawarma.data.api.repos.RestOrderProductRepository
import com.example.shawarma.data.db.dao.OrderProductDao
import com.example.shawarma.data.db.models.OrderProductModel
import javax.inject.Inject

class OrderProductRepository @Inject constructor(
    private val orderProductDao: OrderProductDao,
    private val restOrderProductRepository: RestOrderProductRepository
) {
    suspend fun insert(token: String, orderProduct: OrderProductModel) {
        orderProductDao.insert(orderProduct)
        return restOrderProductRepository.insertOrderProduct(token, orderProduct.toOrderProductRemote())
    }
    suspend fun update(token: String, orderProduct: OrderProductModel) {
        orderProductDao.update(orderProduct)
        return restOrderProductRepository.updateOrderProduct(token, orderProduct.toOrderProductRemote())
    }
    suspend fun delete(token: String, orderProduct: OrderProductModel) {
        orderProductDao.delete(orderProduct)
        restOrderProductRepository.deleteOrderProduct(token, orderProduct.toOrderProductRemote())
    }

}